---
title: offset-rotate
slug: Web/CSS/offset-rotate
tags:
  - CSS
  - CSS Motion Path
  - CSS Property
  - Experimental
  - Reference
  - offset-rotate
  - 'recipe:css-property'
---
<div>{{CSSRef}}</div>

<p>The <strong><code>offset-rotate</code></strong> CSS property defines the orientation/direction of the element as it is positioned along the {{cssxref("offset-path")}}.</p>

<div>{{EmbedInteractiveExample("pages/css/offset-rotate.html")}}</div>

<div class="notecard note">
<p><strong>Note</strong>: Early versions of the spec called this property <code>motion-rotation</code>.</p>
</div>

<h2 id="Syntax">Syntax</h2>

<pre class="brush: css notranslate">/* Follow the path direction, with optional additional angle */
offset-rotate: auto;
offset-rotate: auto 45deg;

/* Follow the path direction but facing the opposite direction of `auto` */
offset-rotate: reverse;

/* Keep a constant rotation regardless the position on the path */
offset-rotate: 90deg;
offset-rotate: .5turn;</pre>

<dl>
 <dt><code><dfn>auto</dfn></code></dt>
 <dd>
 <p>The element is rotated by the angle of the direction of the {{cssxref("offset-path")}}, relative to the positive x-axis. This is the default value.</p>
 </dd>
 <dt><code>{{cssxref("&lt;angle&gt;")}}</code></dt>
 <dd>
 <p>The element has a constant clockwise rotation transformation applied to it by the specified rotation angle.</p>
 </dd>
 <dt><code><dfn>auto &lt;angle&gt;</dfn></code></dt>
 <dd>
 <p>If <code>auto</code> is followed by an {{cssxref("&lt;angle&gt;")}}, the computed value of <span class="production" id="ref-for-angle-value①③" title="Expands to: turn | rad | grad | deg">the angle</span> is added to the computed value of <code>auto</code>.</p>
 </dd>
 <dt><code><dfn>reverse</dfn></code></dt>
 <dd>
 <p>The element is rotated similar to <code>auto</code>, except it faces the opposite direction. It is the same as specifying a value of <code>auto 180deg</code>.</p>
 </dd>
</dl>
<h2 id="Formal_definition">Formal definition</h2>

<p>{{cssinfo}}</p>

<h2 id="Formal_syntax">Formal syntax</h2>

<pre class="syntaxbox notranslate">{{csssyntax}}</pre>

<h2 id="Examples">Examples</h2>

<h3 id="Setting_element_orientation_along_its_offset_path">Setting element orientation along its offset path</h3>

<h4 id="HTML">HTML</h4>

<pre class="brush: html notranslate">&lt;div&gt;&lt;/div&gt;
&lt;div&gt;&lt;/div&gt;
&lt;div&gt;&lt;/div&gt;</pre>

<h4 id="CSS">CSS</h4>

<pre class="brush: css notranslate">div {
  width: 40px;
  height: 40px;
  background: #2BC4A2;
  margin: 20px;
  clip-path: polygon(0% 0%, 70% 0%, 100% 50%, 70% 100%, 0% 100%, 30% 50%);
  animation: move 5000ms infinite alternate ease-in-out;

  offset-path: path('M20,20 C20,50 180,-10 180,20');
}
div:nth-child(1) {
  offset-rotate: auto;
}
div:nth-child(2) {
  offset-rotate: auto 90deg;
}
div:nth-child(3) {
  offset-rotate: 30deg;
}

@keyframes move {
  100% {
    offset-distance: 100%;
  }
}</pre>

<h4 id="Result">Result</h4>

<p>{{EmbedLiveSample('Setting_element_orientation_along_its_offset_path', '100%', '200')}}</p>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
 <thead>
  <tr>
   <th>Specification</th>
   <th>Status</th>
   <th>Comment</th>
  </tr>
 </thead>
 <tbody>
  <tr>
   <td>{{SpecName('Motion Path Level 1', '#offset-rotate-property', 'offset-rotate')}}</td>
   <td>{{Spec2('Motion Path Level 1')}}</td>
   <td>Initial definition</td>
  </tr>
 </tbody>
</table>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<p>{{Compat("css.properties.offset-rotate")}}</p>

<h2 id="See_also">See also</h2>

<ul>
 <li>{{cssxref("offset")}}</li>
 <li>{{cssxref("offset-anchor")}}</li>
 <li>{{cssxref("offset-distance")}}</li>
 <li>{{cssxref("offset-path")}}</li>
 <li>{{cssxref("offset-position")}}</li>
</ul>
